> For the complete documentation index, see [llms.txt](https://docs.datasentinel.io/manual/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.datasentinel.io/manual/implementation/platform-usage/api-reference.md).

# API Reference

- [Access Token](https://docs.datasentinel.io/manual/implementation/platform-usage/api-reference/access-token.md): To enable interaction with the Platform API, it is necessary to generate an access token.This access token is subsequently used when making calls to the API.
- [Connection](https://docs.datasentinel.io/manual/implementation/platform-usage/api-reference/connection.md): The Connection API is available solely through an on-premises installation and is reliant on the decision to use the Agentless feature.
- [Role](https://docs.datasentinel.io/manual/implementation/platform-usage/api-reference/role.md)
- [User](https://docs.datasentinel.io/manual/implementation/platform-usage/api-reference/user.md)
- [Reporting](https://docs.datasentinel.io/manual/implementation/platform-usage/api-reference/reporting.md)
- [Workload](https://docs.datasentinel.io/manual/implementation/platform-usage/api-reference/workload.md): The Workload API provides you with the option to download comprehensive metrics in either JSON or CSV format.
- [Alerting](https://docs.datasentinel.io/manual/implementation/platform-usage/api-reference/alerting.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.datasentinel.io/manual/implementation/platform-usage/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
